Subject: Re: patch: Action repeat

From: Patrick McHardy <[email-masked]>
Date: Sat, 30 Apr 2005 20:13:11 +0200

jamal wrote:
> Actions can set it. 
> Theres one in particular that i havent submitted yet that sets it
> amongst other items (depending on policy). We discussed this a while
> back when talking about ematches etc.

Since it only has such a short lifetime (action function sets it,
tcf_action_exec() clears it after changing classification result),
it would be less wasteful to just pass the classification result
to the actions. This would also avoid that skbs with tc_classid
already set can reach tcf_action_exec() (for example through mirred).

What do you think?

Regards
Patrick